Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684404 - Multiple shd processes are running on brick_mux environmet
Summary: Multiple shd processes are running on brick_mux environmet
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: mainline
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Mohit Agrawal
QA Contact:
URL:
Whiteboard:
Depends On: 1683880 1696147 1696513
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 08:00 UTC by Milind Changire
Modified: 2019-04-05 03:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1683880
Environment:
Last Closed: 2019-04-01 12:55:50 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22290 None Open glusterd: Multiple shd processes are spawned on brick_mux environment 2019-03-01 08:22:31 UTC

Description Milind Changire 2019-03-01 08:00:34 UTC
+++ This bug was initially created as a clone of Bug #1683880 +++

Description of problem:
Multiple shd processes are running while created 100 volumes in brick_mux environment

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a 1x3 volume 
2. Enable brick_mux
3.Run below command
n1=<ip>
n2=<ip>
n3=<ip>

for i in {1..10};do
    for h in {1..20};do
                gluster v create vol-$i-$h rep 3 $n1:/home/dist/brick$h/vol-$i-$h $n2:/home/dist/brick$h/vol-$i-$h $n3:/home/dist/brick$h/vol-$i-$h force
                gluster v start vol-$i-$h
                sleep 1
     done
done
for k in $(gluster v list|grep -v heketi);do gluster v stop $k --mode=script;sleep 2;gluster v delete $k --mode=script;sleep 2;done

Actual results:
Multiple shd processes are running and consuming system resources

Expected results:
Only one shd process should be run

Additional info:

Comment 1 Worker Ant 2019-03-01 08:22:32 UTC
REVIEW: https://review.gluster.org/22290 (glusterd: Multiple shd processes are spawned on brick_mux environment) posted (#1) for review on master by MOHIT AGRAWAL


Note You need to log in before you can comment on or make changes to this bug.